package de.oaa.xxx.games.chastity.common;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.UUID;

public interface Verification {
	
	LocalDate getVerificationDate();
	
	boolean isValid();
	
	VerificationCommonDTO toCommonVerification();

	String getCode();
	
	void setCode(String code);
	
	LocalDateTime getCreatedAt();
	
	void setCreatedAt(LocalDateTime createdAt);
	
	UUID getKeyholderId();
	
	void setKeyholderId(UUID id);
	
	UUID getLockeeId();
	
	void setLockeeId(UUID id);
	
	UUID getLockId();
	
	void setLockId(UUID id);
	
	UUID getId();
	
	void setId(UUID id);
}
